#!/usr/bin/php
<?php

define('N',"\n");

use function mysqli_real_escape_string as myesc;

function mexit($msg,$code) {
	echo($msg);
	exit($code);
}

$iniarr=@parse_ini_file(__DIR__.'/../../conf/mustard.ini')
	or mexit('Impossibile aprire il file di configurazione.'.N,1);
$link=mysqli_connect($iniarr['db_host'],$iniarr['db_admin_name'],$iniarr['db_admin_password'],$iniarr['db_name'],$iniarr['db_port'],$iniarr['db_socket'])
	or mexit('Impossibile connettersi al database: '.mysqli_connect_error().' ['.mysqli_connect_errno().']'.N,1);
mysqli_set_charset($link,'utf8mb4');

$res=mysqli_query($link,'SELECT * FROM InstActivity ORDER BY InstID ASC, Week DESC')
	or mexit(mysqli_error($link).N,2);
$instid=0;
while ($row=mysqli_fetch_assoc($res)) {
	if ($instid!=$row['InstID']) {
		$instid=$row['InstID'];
		$i=0;
	}
	$i++;
	echo('InstID: '.$row['InstID'].'; Week: '.$row['Week'].N);
	mysqli_query($link,'UPDATE InstActivity SET Pos='.$i.' WHERE InstID='.$row['InstID'].' AND Week='.$row['Week'])
		or mexit(mysqli_error($link).N,3);
}

mysqli_close($link);

exit(0);

?>
